Page MenuHomePhabricator

Please unblock stuck global rename: EricEnfermero to Larry Hockett
Closed, ResolvedPublic

Description

The global rename EricEnfermero to Larry Hockett, started by K6ka at 00:55, 6 August 2018 is currently stuck. The rename seems to have failed on enwiki and is not progressing.

Link to guide: https://wikitech.wikimedia.org/wiki/Stuck_global_renames

Event Timeline

1997kB created this task.Aug 6 2018, 12:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
1997kB updated the task description. (Show Details)Aug 6 2018, 12:42 PM
alanajjar renamed this task from Please unblock stuck global rename to Global renames get stuck at en.wikipedia.Aug 6 2018, 3:02 PM
alanajjar updated the task description. (Show Details)Aug 6 2018, 3:05 PM
alanajjar triaged this task as Unbreak Now! priority.
alanajjar added subscribers: MarcoAurelio, Tgr.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes, Dereckson. · View Herald TranscriptAug 6 2018, 3:06 PM
K6ka added a subscriber: K6ka.Aug 6 2018, 3:33 PM

I see that we've successfully performed 22 global renames after the one that became stuck. Most of those had enwiki accounts that got correctly renamed. I don't think that saying that all renames are becoming stuck at enwiki correctly describes the issue at hand. For now, only one has become stuck as far as I can see. I am renaming the task.

MarcoAurelio renamed this task from Global renames get stuck at en.wikipedia to Please unblock stuck global rename: EricEnfermero to Larry Hockett.Aug 6 2018, 6:48 PM
alanajjar added a comment.EditedAug 7 2018, 3:35 PM

I see that we've successfully performed 22 global renames after the one that became stuck. Most of those had enwiki accounts that got correctly renamed.

For confirmation, I preformed more than 20 rename requests before minutes, and all of is renamed correctly without any stuck, so we can complete the renaming process for new requests. Also, I removed the warning in Global Rename Queue.

@Tgr Hi. Could you have a look here? Thanks!

Framawiki lowered the priority of this task from Unbreak Now! to High.Aug 9 2018, 5:16 PM
Framawiki added a subscriber: Framawiki.

Decreasing the priority since a unique account is impacted, and other renames looks not blocked.

It's been six days since the rename now, and nothing has happened. Could someone please look at it asap? Tnx. @Tgr @Legoktm @Keegan @Jalexander

I'd like to echo what @Trijnstel said. Could somebody please have a look at that rename and unblock it accordingly? Thank you.

Does anyone gonna fix this? It's almost 10 days now.

@Legoktm Could you have a look at this one? Thanks.

Legoktm claimed this task.Aug 16 2018, 7:03 PM

Sorry, looking into this now.

Mentioned in SAL (#wikimedia-operations) [2018-08-16T19:10:16Z] <legoktm> T201314 mwscript extensions/CentralAuth/maintenance/fixStuckGlobalRename.php --wiki=enwiki --logwiki=metawiki 'EricEnfermero' 'Larry Hockett' --ignorestatus

Legoktm closed this task as Resolved.Aug 16 2018, 7:11 PM

Rename finished, I think it was just a database timeout. Sorry about not seeing this ticket earlier :(

MarcoAurelio moved this task from Backlog to Closed on the GlobalRename board.Sep 1 2018, 12:15 PM